Package net.postgis.jdbc.geometry.binary

# Class ValueGetter.XDR

java.lang.Object
net.postgis.jdbc.geometry.binary.ValueGetter
net.postgis.jdbc.geometry.binary.ValueGetter.XDR

Enclosing class:
  `ValueGetter`

public static class ValueGetter.XDR extends ValueGetter

## Nested Class Summary

## Nested classes/interfaces inherited from class net.postgis.jdbc.geometry.binary.ValueGetter

`ValueGetter.NDR, ValueGetter.XDR`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final byte`
`NUMBER`

### Fields inherited from class net.postgis.jdbc.geometry.binary.ValueGetter

`endian`

## Constructor Summary

Constructors
Constructor
Description
`XDR(ByteGetter data)`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`getInt(int index)`
Get a 32-Bit integer
`protected long`
`getLong(int index)`
Get a long value.

### Methods inherited from class net.postgis.jdbc.geometry.binary.ValueGetter

`getByte, getDouble, getInt, getLong`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NUMBER

public static final byte NUMBER

See Also:
  - Constant Field Values

## Constructor Details

### XDR

public XDR(ByteGetter data)

## Method Details

### getInt

protected int getInt(int index)
Description copied from class: `ValueGetter`
Get a 32-Bit integer

Specified by:
  `getInt` in class `ValueGetter`
Parameters:
  `index` - the index to get the value from
Returns:
  the int value

### getLong

protected long getLong(int index)
Description copied from class: `ValueGetter`
Get a long value. This is not needed directly, but as a nice side-effect from GetDouble.

Specified by:
  `getLong` in class `ValueGetter`
Parameters:
  `index` - the index to get the value from
Returns:
  the long value